﻿using Fleck;
using RSND.Core;

namespace RSND;

public static class RsndMain
{
    public static Database Db = new();
    
    public static void Run()
    {
        WebSocketServer server = new WebSocketServer("ws://0.0.0.0:7878");

        FleckLog.Level = LogLevel.Error;

        server.Start(socket =>
        {
            socket.OnOpen = () =>
            {
                var dbClient = new DbClient(socket);
                dbClient.Handle();
            };
        });

        Database.Loop();
    }
}